WikimediaUI ButtonWidget uses a color for border that's unlisted from the color palette
Closed, ResolvedPublic

Description

From what I've checked, the borders on the ButtonWidgets are #9aa0a7; however, the only colors out of the base color palette is:

#fff, #f8f9fa, #eaecf0, #c8ccd1, #a2a9b1, #72777d, #54595d, #222, #000 (from M101)

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 15 2016, 4:39 AM
Volker_E changed the title from "Wikimedia UI ButtonWidget uses a color for border that's unlisted from the color palette" to "WikimediaUI ButtonWidget uses a color for border that's unlisted from the color palette".Nov 4 2016, 6:56 PM
Volker_E added a comment.EditedNov 4 2016, 7:31 PM

Thanks for pointing this out, @SamanthaNguyen
#9aa0a7 was in the first iteration of the overhauled color palette, but has been identified by peer designers as too close to #a2a9b1 and got removed.
We've agreed to change the button border-color to #a2a9b1 as

  • button text is sufficient in contrast for visually impaired and
  • psychologically the perception of border :hover for most users still gets lighter through the change of the background-color

Change 319958 had a related patch set uploaded (by VolkerE):
MediaWiki theme: Replace abandoned color from early palette iteration

https://gerrit.wikimedia.org/r/319958

Ah didn't know that it was an old color! @improvements: sounds good :)

Change 319958 merged by jenkins-bot:
MediaWiki theme: Replace abandoned color from early palette iteration

https://gerrit.wikimedia.org/r/319958

Change 320235 had a related patch set uploaded (by VolkerE):
Replace abandoned color from early palette iteration

https://gerrit.wikimedia.org/r/320235

Jdforrester-WMF closed this task as "Resolved".Nov 7 2016, 6:41 PM
Jdforrester-WMF triaged this task as "Normal" priority.
Jdforrester-WMF assigned this task to Volker_E.

Change 320235 merged by jenkins-bot:
Replace abandoned color from early palette iteration

https://gerrit.wikimedia.org/r/320235

@Jdforrester-WMF It's not completely done yet. Portals are featuring this color as well. Waiting for review of D437 and a follow-up patch.

Volker_E reopened this task as "Open".Nov 7 2016, 7:18 PM

Change 322831 had a related patch set uploaded (by VolkerE):
Align remaining colors to color palette and update WMUI base variables

https://gerrit.wikimedia.org/r/322831

Change 322831 merged by jenkins-bot:
Align remaining colors to color palette and update WMUI base variables

https://gerrit.wikimedia.org/r/322831

Volker_E closed this task as "Resolved".Nov 29 2016, 3:39 PM
Volker_E removed a project: Patch-For-Review.